Bug 18372 - transits are not created at check in despite user responsing Yes to the prompt
Summary: transits are not created at check in despite user responsing Yes to the prompt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-03 15:25 UTC by Colin Campbell
Modified: 2017-05-03 04:34 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18372 - transits are not created at check in despite user responsing Yes to the prompt (2.94 KB, patch)
2017-04-11 17:05 UTC, Owen Leonard
Details | Diff | Splinter Review
signed off patch (3.01 KB, patch)
2017-04-12 09:47 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 18372 - transits are not created at check in despite user responsing Yes to the prompt (3.06 KB, patch)
2017-04-19 18:56 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2017-04-03 15:25:58 UTC
When checking in an item from another library the user is prompted whether the item should go into transit if they respond Yes no transit is created and the item status is shown as Available. 

The changes to the template circ/returns.tt lines 408-412 in bug 15821 appear to be the cause meaning no value is returned as dotransfer to the returns.pl script. Reverting these lines to how they were prior to bug 15821 restores transit behaviour
Comment 1 Colin Campbell 2017-04-03 16:15:42 UTC
setting version to 16.11 appears that master is not affected
Comment 2 Katrin Fischer 2017-04-04 06:18:45 UTC
RMaint is watching... can we get a patch please?
Comment 3 Katrin Fischer 2017-04-10 21:50:02 UTC
Can someone help me track the problem down here? Colin, can you upload a patch/diff please?
Comment 4 Owen Leonard 2017-04-11 17:05:36 UTC
Created attachment 62058 [details] [review]
Bug 18372 - transits are not created at check in despite user responsing Yes to the prompt

If the AutomaticItemReturn system preference is set to "Don't" and you
check in an item which belongs to another library, a dialog will ask you
if you want to transfer. This patch corrects a bug to enable the "Yes"
buttons to work, triggering the transfer.

To test, apply the patch and check in an item which belongs to another
library. In the dialog, click the 'Yes' button and confirm that the item
has been made 'in transit' to the correct library.

Perform the same test with the 'Yes, print slip' and 'No' buttons and
confirm they are working correctly.

Since this patch changes the behavior of many other popups triggered
from this template, test other operations which trigger a 'print slip'
option like:

- Checking in an item which is part of a rotating collection
- Checking in an item which is on hold for a patron
Comment 5 Colin Campbell 2017-04-12 09:47:58 UTC
Created attachment 62073 [details] [review]
signed off patch
Comment 6 Katrin Fischer 2017-04-12 09:56:36 UTC
Is this only for 16.11?
Comment 7 Owen Leonard 2017-04-12 16:30:45 UTC
Sorry to be unclear. I found that the bug existed in master, and my patch is for master. If it doesn't apply to 16.11 I can submit another patch.
Comment 8 Colin Campbell 2017-04-13 07:56:10 UTC
The patch applies fine to 16.11
Comment 9 Katrin Fischer 2017-04-16 12:51:34 UTC
Can we please get QA on this?
Comment 10 Nick Clemens 2017-04-19 18:56:04 UTC
Created attachment 62414 [details] [review]
Bug 18372 - transits are not created at check in despite user responsing Yes to the prompt

If the AutomaticItemReturn system preference is set to "Don't" and you
check in an item which belongs to another library, a dialog will ask you
if you want to transfer. This patch corrects a bug to enable the "Yes"
buttons to work, triggering the transfer.

To test, apply the patch and check in an item which belongs to another
library. In the dialog, click the 'Yes' button and confirm that the item
has been made 'in transit' to the correct library.

Perform the same test with the 'Yes, print slip' and 'No' buttons and
confirm they are working correctly.

Since this patch changes the behavior of many other popups triggered
from this template, test other operations which trigger a 'print slip'
option like:

- Checking in an item which is part of a rotating collection
- Checking in an item which is on hold for a patron

Signed-off-by: Colin Campbell <colin.campbell@ptfs-europe.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Kyle M Hall 2017-04-19 18:58:07 UTC
Pushed to master for 17.05, thanks Owen!
Comment 12 Katrin Fischer 2017-04-21 22:12:21 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.

Glad this made it in on time!
Comment 13 Mason James 2017-05-03 04:34:05 UTC
Pushed to 16.05.x, for 16.05.12 release